# Welcome to the @ReachableCEO profile

- [Welcome to the @ReachableCEO profile](#welcome-to-the-reachableceo-profile)
  - [Introduction](#introduction)
  - [Programming Repositories of interest](#programming-repositories-of-interest)
    - [Code snippets](#code-snippets)
    - [Shell scripting framework](#shell-scripting-framework)
    - [Markdown/Typst Build Pipeline](#markdowntypst-build-pipeline)
    - [Private Cloud Orchestration System](#private-cloud-orchestration-system)
  - [Documentation Repositories of interest](#documentation-repositories-of-interest)
    - [Marketing](#marketing)
    - [Instructional](#instructional)
    - [Business Deals/contracts](#business-dealscontracts)
    - [Technical](#technical)
  - [Sponsor Me](#sponsor-me)

## Introduction

Thank you for stopping by my developer/freelance profile.

I have a curated a selection of repositories to highlight my experience.

Currently (12/15/2024) it's a heavy work in progress as i finish building out my portfolio over this "week of content".

## Programming Repositories of interest

### Code snippets

Please browse my [code snippets repository](https://git.knownelement.com/reachableceo/ReachableCEO-ShellScriptPortfolio) to see a collection of small code bits I've written over the years.

### Shell scripting framework

I have written a collection of scripts to start new full sized/production coding projects.

It's a collection of methodologies, practices, approaches etc that I've picked up over time.

[ReachableCEO Shell Framework](https://git.knownelement.com/reachableceo/ReachableCEO-ShellScriptPortfolio)

### Markdown/Typst Build Pipeline

I am not using my shell scripting framework for the small/medium examples. They started off as five line scripts and evolved.
I will use my shell script framework for the large example as that's an inherently complex/massive project (a book).

- Core minimum viable product [rcdocs](https://git.knownelement.com/reachableceo/rcdoc-pipeline)

- Small example:
  - Simple client/server/microservice model.
  - Combines data from multiple markdown/csv files into a single markdown file.
  - Includes table generation from CSV.
  - Fully production ready (v1.0 release cut 12/15/2024) and (other than jsonresume output) should be code/feature/test suite complete and considered in maintenance mode.
  - [markdown resume](https://git.knownelement.com/reachableceo/MarkdownResume-Pipeline-ClientExample)

- Medium example.
  - Has everything from the small example.
  - Also uses the TSYS secrets manaer.
  - Used by the @ReachableCEO daily for producing his stakeholder reports in an automated fashion.
  - Pulls in data from various backends via API (hence use of secrets manager)
  - Currently (12/15/2024) a major work in progress and not production ready.

  - [daily stakeholder report pipeline](https://git.knownelement.com/reachableceo/DailyStakeholderReport-Pipeline)

- Large example:
  - Ignore this for now. It's a massive work in progress and will be my main February project.
  - [Startup Starter Package](https://git.knownelement.com/RWSCP/StartupStarterPackage)

### Private Cloud Orchestration System

Currently (12/15/2024) this is being re-factored from monolith into microservice before release

- [Private Cloud Orchestration System](https://git.knownelement.com/reachableceo/PrivateCloudOrchestrationSystem)

## Documentation Repositories of interest

### Marketing

- [Sponsorship Profiles](https://git.knownelement.com/reachableceo/SponsorshipProfiles)

### Instructional

- [Self hosted sponsorship](https://git.knownelement.com/reachableceo/selfhosted-sponsorship)

### Business Deals/contracts

- [TSYS Group Ancillary Business Joint Venture](https://git.knownelement.com/TSYSGroupBOD/TSYSAncillaryBusinessDealMemo)

### Technical

## Sponsor Me

If you want to help fund my work on the above projects , please visit my [sponsorship page]().
